<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 499 $
 * $Author: PragmaMx $
 * $Date: 2022-05-11 14:15:10 +0200 (Mi, 11. Mai 2022) $
 * Based on original Pragmamx Modul Reviews modified to Better_Reviews by lenzen24
 *
 *
 * Base on Reviews Addon
 * Copyright (c) 2000 by Jeff Lambert (jeffx@ican.net) http://www.qchc.com
 * More scripts on http://www.jeffx.qchc.com
 */

defined('mxMainFileLoaded') or die('access denied');

if (!mxGetAdminPref('radminreviews')) {
    mxErrorScreen("Access Denied");
    die();
}

$module_name = basename(dirname(__DIR__));
mxGetLangfile($module_name);

require_once(dirname(__DIR__) . '/includes/config.php');
require_once(dirname(__DIR__) . '/includes/functions.php');

function reviews()
{
    global $prefix, $module_name, $revautoactivate, $revimagepath;

    include_once("header.php");
    title(_REVADMIN);

    OpenTable();
    echo "<a class='button' href='".adminUrl(PMX_MODULE)."/categories'>"._CAT_MANAGE."</a>&nbsp;&nbsp;<a class='button' href='modules.php?name=$module_name&amp;rop=write_review'>" ._BAB_REVIEW. "</a><br /><br />";
    echo "<center><p class=\"option\"><b>" . _REVWAITING . "</b></p>";
    $result = sql_query("select * from " . $prefix . "_betterreviews WHERE active='0' order by id ASC");
    $numrows = sql_num_rows($result);
    $allcats = sql_query("SELECT id, catname FROM ".$prefix."_betterreviews_categories ORDER by id ASC");

    if ($numrows > 0) {
        $editor = load_class('Textarea', array('height' => '300', 'pagebreak' => true));
        while (list($id, $catid, $date, $title, $text, $reviewer, $score, $cover, $url, $url_title, $hits, $active) = sql_fetch_row($result)) {
        $whichcatname = sql_query("select catname from " . $prefix . "_betterreviews_categories WHERE id=" . intval($catid));
        list($iscatname) = sql_fetch_row($whichcatname);

            $id = (empty($id)) ? 0 : intval($id);
            $isid = $id;
            for($i = 0; $i < 11; $i++) {
                if ($score == $i)
                    $select[$i] = ' selected="selected" class="current"';
                else
                    $select[$i] = "";
            }
            echo "<hr noshade size=\"1\"><br />"
             . ""
             . "<form action=\"" . adminUrl(PMX_MODULE) . "\" method=\"post\">"
             . "<table cellpadding=\"1\" cellspacing=\"2\" width=\"100%\">"
             . "<tr><td><b>" . _REVIEWID . ":</b></td><td><b>$id</b>"
             . "</td></tr>";
             $getallcats = sql_query("SELECT id, catname FROM ".$prefix."_betterreviews_categories ORDER by id ASC");
    echo '<td>GRUMMEL</td>';
    echo '<td><select name="catid">';
    echo '<option value="'.$catid.'" selected="selected">'.$iscatname.'</option>';
    while (list($id, $catname) = sql_fetch_row($getallcats)) {
                     echo "<option value='$id'>$catname</option>";
                     }
    echo '</select></td></tr>';

             echo "<tr><td>" . _DATE . ":</td><td>" . mx_strftime(_DATESTRING . ' %H:%m', $date) . "</td></tr>"
             . "<tr><td>" . _RTITLE . "</td><td><input type=\"text\" name=\"title\" value=\"" . mxentityquotes($title) . "\" size=\"60\" maxlength=\"255\" /></td></tr>";
            echo "<tr valign='top'><td>" . _RTEXT . "</td><td>" . $editor->getHtml(array('name' => 'text_' . $isid, 'value' => $text)) . "</td></tr>"
             . "<tr><td>" . _RELATEDLINK . ":</td><td><input type=\"text\" name=\"url\" value=\"" . mxentityquotes($url) . "\" size=\"60\" maxlength=\"255\" /></td></tr>"
             . "<tr><td>" . _LINKTITLE . ":</td><td><input type=\"text\" name=\"url_title\" value=\"" . mxentityquotes($url_title) . "\" size=\"60\" maxlength=\"255\" /></td></tr>"
             . "<tr><td>" . _COVERIMAGE . ":</td>"
             . "<td>" . revImageBrowse($cover) . "<br />"
             . "<span class=\"tiny\">" . sprintf(_RIMAGEFILEREQ, $revimagepath) . "</span>"
             . "</td></tr>"
             . "<tr><td>" . _REVIEWER . ":</td><td><input type=\"text\" name=\"reviewer\" value=\"" . mxentityquotes($reviewer) . "\" size=\"30\" maxlength=\"255\" /></td></tr>"
             . "<tr><td>" . _SCORE . "</td>
                                      <td>
                                              <select name=\"score\">
                                          <option value=\"10\" $select[10]>10</option>
                                          <option value=\"9\" $select[9]>9</option>
                                          <option value=\"8\" $select[8]>8</option>
                                          <option value=\"7\" $select[7]>7</option>
                                          <option value=\"6\" $select[6]>6</option>
                                          <option value=\"5\" $select[5]>5</option>
                                          <option value=\"4\" $select[4]>4</option>
                                          <option value=\"3\" $select[3]>3</option>
                                          <option value=\"2\" $select[2]>2</option>
                                          <option value=\"1\" $select[1]>1</option>
                                          <option value=\"0\" $select[0]>0</option>
                                               </select>
                                      </td></tr>"
             . "</table><br />"
             . "<input type=\"hidden\" name=\"date\" value=\"$date\" />"
             . "<input type=\"hidden\" name=\"isid\" value=\"$isid\" />"
             . "<input type=\"hidden\" name=\"op\" value=\"" . PMX_MODULE . "/add\" />"
             . "<input type=\"submit\" value=\"" . _ADDREVIEW . "\" />"
             . " - [&nbsp;<a href=\"" . adminUrl(PMX_MODULE, 'delete', 'id=' . $isid) . "\">" . _DELETE . "</a>&nbsp;]"
             . "</form>";
        }
        echo "<hr noshade size=\"1\"><br /><br />";
    } else {
        echo "<br /><br /><i>" . _NOREVIEW2ADD . "</i><br /><br />";
        if ($revautoactivate) {
            echo '<p class="important">' . _AUTOACTIVATENOTIC . '</p>';
        }
    }
    echo "</center>";
    CloseTable();
    echo '<br />';
    OpenTable();
    echo "<center><font class=\"option\"><b>" . _DELMODREVIEW . "</b></font><br /><br />" . _MODREVINFO . "</center>";
    CloseTable();
    echo "<br /><br />";
    include_once("footer.php");
}

function add_review()
{
    global $prefix;
    extract($_POST);
    $id = (empty($_POST['isid'])) ? 0 : intval($_POST['isid']);
    $text = $_POST['text_' . $id];
    sql_query("UPDATE " . $prefix . "_betterreviews SET catid='" . mxAddSlashesForSQL($catid) . "', title='" . mxAddSlashesForSQL($title) . "', text='" . mxAddSlashesForSQL($text) . "', reviewer='" . mxAddSlashesForSQL($reviewer) . "', score='$score', cover='" . mxAddSlashesForSQL($cover) . "', url='" . mxAddSlashesForSQL(mx_urltohtml($url)) . "', url_title='" . mxAddSlashesForSQL($url_title) . "', active='1' WHERE id='" . intval($id) . "'");
    return mxRedirect(adminUrl(PMX_MODULE));
}

function delete($isid)
{
    global $prefix;
    sql_query("DELETE FROM " . $prefix . "_betterreviews WHERE id = " . intval($isid));
    return mxRedirect(adminUrl(PMX_MODULE));
}

function manage_categories()
{
    global $prefix;

    include_once("header.php");
    title(_REVADMIN);

    $allcats = sql_query("SELECT id, catname FROM ".$prefix."_betterreviews_categories ORDER by id ASC");

    OpenTable();
    echo "<center><p class=\"option\"><b>"._IS_CATS."</b></p>";
    echo "<table width='100%'>";
    while (list($id, $catname) = sql_fetch_row($allcats)) {
        echo "<tr><td width='40%'><b>".$catname."</b></td><td width='60%'>[&nbsp;<a href=\"" . adminUrl(PMX_MODULE, 'delcat', 'id=' . $id) . "\">" . _DELETE . "</a>&nbsp;]</td></tr> ";
    }
    echo "</table><br /><br />";
    CloseTable();
    OpenTable();
    echo '
    <fieldset><legend>' . _ADDCATEGORY . '</legend>
      <form action=" '. adminUrl(PMX_MODULE) .'/addcat " method="post" style="display:block;width:100%;">
        <table width="100%">
          <tr valign="top">
            <td width="20%">' . _NAME_CAT . ':</td>
            <td><input type="text" name="catname" size="30" maxlength="255" /></td>
          </tr>
          <tr>
            <td>
              <input type="submit" value="' . _SAVE . '" />
            </td>
            <td>&nbsp;</td>
          </tr>
        </table>
      </form>
    </fieldset><br /><br />';

    echo '
    <fieldset><legend>' . _RENCATEGORY . '</legend>
      <form action=" '. adminUrl(PMX_MODULE) .'/rencat " method="post" style="display:block;width:100%;">
        <table width="100%">
          <tr valign="top">
            <td width="20%">' . _OLDNAME_CAT . ':</td>
            <td><select name="oldcatid"><option value="0">W&auml;hle...</option>';
            $allsetcats = sql_query("SELECT id, catname FROM ".$prefix."_betterreviews_categories ORDER by id ASC");
            while (list($id, $catname) = sql_fetch_row($allsetcats)) {
             echo '<option value="'.$id.'">'.$catname.'</option>';
            }
          echo '</select></td>
          </tr>
          <tr valign="top">
            <td width="20%">' . _NEWNAME_CAT . ':</td>
            <td><input type="text" name="newcatname" size="30" maxlength="255" /></td>
          </tr>
          <tr>
            <td>
              <input type="submit" value="' . _SAVE . '" />
            </td>
            <td>&nbsp;</td>
          </tr>
        </table>
      </form>
    </fieldset><br /><br />';

    echo "<br /><br /><a class='button' href='".adminUrl(PMX_MODULE)."'>"._CAT_BACK."</a>";
    CloseTable();
    include_once("footer.php");
}

function add_categorie()
{
    global $prefix;
    extract($_POST);
    if (isset($_POST['catname']) && ($_POST['catname'] !='')) {
        $catname = $_POST["catname"];
        $iscatname = mxAddSlashesForSQL($catname);
        sql_query("insert into " . $prefix . "_betterreviews_categories (catname) values ('$iscatname')");
    }
    return mxRedirect("admin.php?op=".PMX_MODULE."/categories");

}

function del_categorie($id)
{
    global $prefix;
    sql_query("DELETE FROM " . $prefix . "_betterreviews_categories WHERE id = " . intval($id));
    return mxRedirect("admin.php?op=".PMX_MODULE."/categories");
}

function ren_categorie()
{
    global $prefix;
    extract($_POST);
    if (isset($_POST['oldcatid']) && ($_POST['oldcatid'] !='0') && ($_POST["newcatname"] != '')) {
        $newcatname = $_POST["newcatname"];
        $isnewcatname = mxAddSlashesForSQL($newcatname);
        $iscatid = $_POST['oldcatid'];
        sql_query("UPDATE ".$prefix."_betterreviews_categories SET catname=' ".$isnewcatname." ' WHERE id='".intval($iscatid)." ' ");
    }
    return mxRedirect("admin.php?op=".PMX_MODULE."/categories");
}
switch ($op) {
    case PMX_MODULE . "/Install":
         require_once ("includes/mx_install.php");
         include ("modules/".$module_name."/core/install.tabledef.php");
         mxRedirect("admin.php?op=".PMX_MODULE);
         break;

    case PMX_MODULE . "/categories":
        manage_categories();
        break;

    case PMX_MODULE . "/addcat":
        add_categorie();
        break;

    case PMX_MODULE . "/delcat":
        del_categorie($id);
        break;

    case PMX_MODULE . "/rencat":
        ren_categorie();
        break;

    case PMX_MODULE . "/add":
        add_review();
        break;

    case PMX_MODULE . "/delete":
        delete($id);
        break;

    default:
        reviews();
        break;
}

?>