<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 499 $
 * $Author: PragmaMx $
 * $Date: 2022-05-11 14:15:10 +0200 (Mi, 11. Mai 2022) $
 * Based on original Pragmamx Modul Reviews modified to Better_Reviews by lenzen24
 */

defined('mxMainFileLoaded') or die('access denied');

global $prefix;

/* Block kann gecached werden? */
$mxblockcache = true;

/* der passende Modulname */
$module_name = basename(dirname(dirname(__FILE__)));

if (!mxModuleAllowed($module_name)) {
    /* Block darf nicht gecached werden und weg... */
    $mxblockcache = false;
    return;
}

$content = "";
$result = sql_query("SELECT id, title FROM " . $prefix . "_betterreviews WHERE active='1' order by id DESC limit 0,10");
while (list($id, $title) = sql_fetch_row($result)) {
    $content .= "<li><a href=\"modules.php?name=" . $module_name . "&amp;rop=showcontent&amp;id=$id\">" . mxPrepareToDisplay($title) . "</a></li>";
}
if ($content) {
    $content = '<ul class="list">' . $content . '</ul>';
}

?>