<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 10 $
 * $Author: PragmaMx $
 * $Date: 2018-09-30 15:43:26 +0200 (So, 30. Sep 2018) $
 * Based on original Pragmamx Modul Reviews modified to Better_Reviews by lenzen24
 */

defined('mxMainFileLoaded') or die('access denied');
$modname = basename(dirname(dirname(__FILE__)));

unset($sqlqry);

if (!isset($tables["{$prefix}_betterreviews"])) {
    $sqlqry[] = "
CREATE TABLE IF NOT EXISTS `{$prefix}_betterreviews` (
                          `id` int(11) NOT NULL auto_increment,
                          `date` int(11) NOT NULL default '0',
                          `catid` int(11) NOT NULL default '0',
                          `title` varchar(80) NOT NULL default '',
                          `text` text NULL,
                          `reviewer` varchar(25) NOT NULL default '',
                          `score` tinyint(2) NOT NULL default '0',
                          `cover` text,
                          `url` varchar(255) default NULL,
                          `url_title` varchar(80) default NULL,
                          `hits` int(7) NOT NULL default '0',
                          `active` tinyint(1) NOT NULL default '0',
                          PRIMARY KEY  (`id`)
                          ) ENGINE=MyISAM DEFAULT CHARACTER SET utf8  COLLATE utf8_unicode_ci;";
}

if (!isset($tables["{$prefix}_betterreviews_categories"])) {
    $sqlqry[] = "
CREATE TABLE IF NOT EXISTS `{$prefix}_betterreviews_categories` (
                          `id` int(11) NOT NULL auto_increment,
                          `catname` varchar(50) NOT NULL default '',
                          PRIMARY KEY  (`id`)
                          ) ENGINE=MyISAM DEFAULT CHARACTER SET utf8  COLLATE utf8_unicode_ci;";
}

$sqlqry[] = " INSERT INTO `{$prefix}_betterreviews_categories` (`id`, `catname`) VALUES (1, 'Allgemeines'); ";

if (!isset($tables["{$prefix}_betterreviews_comments"])) {
    $sqlqry[] = "
CREATE TABLE IF NOT EXISTS `{$prefix}_betterreviews_comments` (
                          `cid` int(11) NOT NULL auto_increment,
                          `rid` int(11) NOT NULL default '0',
                          `username` varchar(25) NOT NULL default '',
                          `date` INT(11) NOT NULL default '0',
                          `comments` text NULL,
                          `score` tinyint(2) NOT NULL default '0',
                          PRIMARY KEY  (`cid`),
                          KEY `username` (`username`)
                          ) ENGINE=MyISAM DEFAULT CHARACTER SET utf8  COLLATE utf8_unicode_ci;";
}

if (isset($sqlqry)) {
    setupDoAllQueries($sqlqry);
    unset($sqlqry);
}

?>