<?php
/**
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 499 $
 * $Author: PragmaMx $
 * $Date: 2022-05-11 14:15:10 +0200 (Mi, 11. Mai 2022) $
 * Based on original Pragmamx Modul Reviews modified to Better_Reviews by lenzen24
 */

$hook = function($module_name, $parameters, &$sumpoints)
{
    /* $parameters = array (
     *   userinfo => array : die kompletten Userdaten des betroffenen Users
     *   userconfig => array : die Benutzerkonfiguration (Userconfig) fr die Punktzahlen
     * )
     */
    extract($parameters, EXTR_SKIP);
    extract($userconfig, EXTR_SKIP);

    switch (true) {
        case empty($userinfo['uid']):
        case empty($userinfo['uname']):
            break;

        default:
            global $prefix;

            if (!empty($upoints_entries)) { // Testberichte
                $result = sql_query("SELECT COUNT(id) FROM {$prefix}_betterreviews WHERE reviewer='" . mxAddSlashesForSQL($userinfo['uname']) . "'");
                list($points) = sql_fetch_row($result);
                $sumpoints += ($points * $upoints_entries);
            }

            if (!empty($upoints_comments)) { // Testberichte
                $result = sql_query("SELECT COUNT(cid) FROM {$prefix}_betterreviews_comments WHERE username='" . mxAddSlashesForSQL($userinfo['uname']) . "'");
                list($points) = sql_fetch_row($result);
                $sumpoints += ($points * $upoints_comments);
            }
    }
} ;

?>