<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 499 $
 * $Author: PragmaMx $
 * $Date: 2022-05-11 14:15:10 +0200 (Mi, 11. Mai 2022) $
 * Based on original Pragmamx Modul Reviews modified to Better_Reviews by lenzen24
 *
 *
 * Base on Reviews Addon
 * Copyright (c) 2000 by Jeff Lambert (jeffx@ican.net) http://www.qchc.com
 * More scripts on http://www.jeffx.qchc.com
 */

defined('mxMainFileLoaded') or die('access denied');
define("_PREVIOUS", "Previous Page");
define("_NEXT", "Next Page");
define("_SORTASC", "Sort Ascending");
define("_SORTDESC", "Sort Descending");
// define("_CANCEL", "Cancel");
define("_REPLYMAIN", "Post Comment");
define("_POSTANON", "Post Anonymously");
define("_WRITEREVIEWFOR", "Write a Review for");
// define("_ENTERINFO", "Please enter information according to the specifications");
define("_PRODUCTTITLE", "Product Title");
define("_NAMEPRODUCT", "Name of the Reviewed Product.");
define("_REVIEW", "Review");
define("_CHECKREVIEW", "Your actual review. Please observe proper grammar! Make it at least 100 words, OK? You may also use HTML tags if you know how to use them.");
define("_FULLNAMEREQ", "Your Full Name. Required.");
define("_REMAIL", "Your Email");
define("_REMAILREQ", "Your E-mail address. Required.");
define("_SELECTSCORE", "This Product Score");
define("_RELATEDLINK", "Related Link");
define("_PRODUCTSITE", "Product Official Website. Make sure your URL starts with \"http://\"");
define("_LINKTITLE", "Link Title");
define("_LINKTITLEREQ", "Required if you have a related link, otherwise not required.");
define("_RIMAGEFILE", "Image Filename");
define("_RIMAGEFILEREQ", "Name of the cover image, located in %s. Not required.");
define("_CHECKINFO", "Please make sure that the information entered is 100% valid and uses proper grammar and capitalization. For instance, please do not enter your text in ALL CAPS, as it will be rejected.");
define("_INVALIDTITLE", "Invalid Title... Can't be blank");
define("_INVALIDSCORE", "Invalid Score... Must be between 1 and 10");
define("_INVALIDTEXT", "Invalid Review Text... Can't be blank");
define("_INVALIDHITS", "Hits must be a positive integer");
define("_CHECKNAME", "You must enter both your name and your email");
define("_INVALIDEMAIL", "Invalid email (eg: you@hotmail.com)");
define("_INVALIDLINK", "You must enter BOTH a link title and a related link or leave both blank");
define("_REVIEWER", "Reviewer");
define("_REVIEWID", "Review ID");
define("_LOOKSRIGHT", "Does this looks right?");
define("_RMODIFIED", "modified");
define("_ADMINLOGGED", "Currently logged in as admin... this review will be immediately");
define("_RTHANKS", "Thanks for submitting this review");
define("_MODIFICATION", "modification");
define("_ISAVAILABLE", "It is now available in the reviews database.");
define("_EDITORWILLLOOK", "The editors will look at your submission. It should be available soon!");
define("_RBACK", "Back to Reviews Index");
define("_RWELCOME", "Welcome to Reviews Section");
define("_TEN_MOSTPOP", "10 most popular reviews");
define("_TEN_MOSTREC", "10 most recent reviews");
define("_REVTHEREARE", "There are");
define("_REVIEWSINDB", "Reviews in the Database");
define("_REVIEWSNAME", "Reviews");
define("_REVIEWSLETTER", "Reviews for letter");
define("_NOREVIEWS", "There isn't any Review for letter");
define("_TOTALREVIEWS", "Total Review(s) found.");
define("_RETURN2MAIN", "Return to Main Menu");
define("_REVIEWCOMMENT", "Comment on the Review:");
define("_YOURNICK", "Your Nickname:");
define("_RCREATEACCOUNT", "<a href=\"modules.php?name=User_Registration\">Create</a> an account");
define("_YOURCOMMENT", "Your Comment:");
define("_MYSCORE", "My Score:");
define("_REVIEWMOD", "Review Modification");
define("_RDATE", "Date:");
define("_RTITLE", "Title:");
define("_RTEXT", "Text:");
define("_RLINK", "Link:");
define("_RLINKTITLE", "Link Title:");
define("_COVERIMAGE", "Cover Image");
define("_PREMODS", "Preview Modifications");
define("_REVIEWINTRO", "These reviews are not published in the sense of being right<br />or the opinion of the team.<br />So please be reserved and check thinks by yourself if needed.");
define("_REVIEWRE", "Answer: ");
define("_REVIEWOF", "from");
define("_REVIEWMAIL", "Email review");
define("_REVIEWNAME", "You would like to send the following review by email:");
define("_REVIEWYOU", "Your informations");
define("_REVIEWTO", "Send to the following email-address (will NOT be saved):");
define("_REVIEWSEND", "Send");
define("_REVIEWFWD", "Forward");
define("_REVIEWFROMNEEDED", "Please enter your name.");
define("_REVIEWERROR", "An Error has occured");
define("_REVIEWNOANO", "Please login first, anonymous posts are not allowed.");
define("_REVIEWMAIL1", "Hello,\none of your acquaintance thought that you could be\ninterested in the following review:");
define("_REVIEWMAIL2", "Topic:");
define("_REVIEWMAIL3", "This message was send to you from: ");
define("_REVIEWMAIL4", "We thank you for your attention,\nhave a nice day.");
define("_REVIEWMAILSEP", "\n\n------------------------------------------------------------\n");
define("_REVIEWMAIL5", "This review comes from: ");
define("_REVIEWMAILOK", "Email successfully sended to: ");
define("_REVIEWNORIGHTS", "You don&acute;t have the permissions for this action!");
define("_RBACK2", "Back to this review");
define("_REVSAVE", "Save");
define('_INLINEBREAK', 'pagebreak');
define("_AUTOACTIVATENOTIC", "Notice: at the moment all reviews are activated automatical.<br />Change this value if needed in the config.php of the module!");
define("_REVNOTFOUND", "Page Not Found");
define("_REVADMIN", "Reviews Administration");
define("_REVTITLE", "Reviews Page Title");
define("_REVDESC", "Reviews Page Description");
define("_REVWAITING", "Reviews Waiting for Validation");
// define("_REVIMGINFO", "Store your 150*150 image in %s.");
define("_NOREVIEW2ADD", "No reviews to add");
define("_ADDREVIEW", "Add Review");
define("_CLICK2ADDREVIEW", "Click here to write a review");
define("_DELMODREVIEW", "Delete / Modify a review");
define("_MODREVINFO", "You can simply delete/modify reviews by browsing <a href=\"modules.php?name=Reviews\">Reviews</a> as Admin.");
define("_WRITEREVIEW", "Write a review");
// define("_TEXT", "Text");
// define("_IMAGE", "Image");
define("_NEWREVINS", "Write a new review");
define("_INVALIDCAT", "No Categorie selected");
define("_REVIEWSINCAT", "Reviews in this categorie");
define("_NOREVIEWSINCAT", "There are no reviews in this categorie.");
define("_REVIEWSCATS", "Reviews in categories");
define("_HDATE", "Date");
define("_RCAT", "Category:");

?>