<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 499 $
 * $Author: PragmaMx $
 * $Date: 2022-05-11 14:15:10 +0200 (Mi, 11. Mai 2022) $
 * Based on original Pragmamx Modul Reviews modified to Better_Reviews by lenzen24
 *
 *
 * Base on Reviews Addon
 * Copyright (c) 2000 by Jeff Lambert (jeffx@ican.net) http://www.qchc.com
 * More scripts on http://www.jeffx.qchc.com
 * -----------------------------------------------------------
 * translated by: Diabolo from www.pragmamx.fr (20/04/2005)
 * -----------------------------------------------------------
 */

defined('mxMainFileLoaded') or die('access denied');
define("_PREVIOUS", "Page Précédente");
define("_NEXT", "Page suivante");
define("_SORTASC", "Tri croissant");
define("_SORTDESC", "Tri décroissant");
// define("_CANCEL", "Annuler");
define("_REPLYMAIN", "Poster un commentaire");
define("_POSTANON", "Publication anonyme");
define("_WRITEREVIEWFOR", "Ecrire un compte rendu pour");
// define("_ENTERINFO", "Veuillez entrer les informations correspondantes aux indications");
define("_PRODUCTTITLE", "Titre du produit");
define("_NAMEPRODUCT", "Nom du produit examiné.");
define("_REVIEW", "Compte rendu");
define("_CHECKREVIEW", "Votre compte rendu actuel. Veuillez respecter une grammaire correcte! Utilisez au moins une centaine de mots.Vous pouvez aussi employer les tags HTML si vous savez comment les utiliser.");
define("_FULLNAMEREQ", "Votre nom complet (Requis).");
define("_REMAIL", "Votre courriel");
define("_REMAILREQ", "Votre courriel (Requis).");
define("_SELECTSCORE", "Score pour ce produit");
define("_RELATEDLINK", "Lien en relation");
define("_PRODUCTSITE", "Site internet officiel du produit. Assurez-vous que l'URL commence par \"http://\"");
define("_LINKTITLE", "Titre du lien");
define("_LINKTITLEREQ", "Requis si vous avez un lien associé, optionnel autrement.");
define("_RIMAGEFILE", "Nom du fichier image");
define("_RIMAGEFILEREQ", "Nom de l'image de couverture, localisée dans %s. (Optionnel)");
define("_CHECKINFO", "Veuillez vous assurer que l'information entrée est correcte à 100% et respecte la grammaire et la capitalisation. N'entrez pas votre texte entièrement en majuscule: Il sera rejeté.");
define("_INVALIDTITLE", "Titre invalide... Ne peut pas être à vide");
define("_INVALIDSCORE", "Score invalide... Doit être compris entre 1 et 10");
define("_INVALIDTEXT", "Texte du compte-rendu invalide... Ne peut pas être à vide");
define("_INVALIDHITS", "Le nombre de hits doit être un entier positif");
define("_CHECKNAME", "Vous devez entrer votre nom ET votre courriel");
define("_INVALIDEMAIL", "Courriel invalide (ex.: vous@yahoo.com)");
define("_INVALIDLINK", "Vous devez entrer à la fois le titre du lien ET l'URL du lien, ou laisser les 2 champs vides");
define("_REVIEWER", "Critique");
define("_REVIEWID", "ID du compte rendu");
define("_LOOKSRIGHT", "Ceci est-il correct ?");
define("_RMODIFIED", "modifié");
define("_ADMINLOGGED", "Vous êtes connecté comme administrateur... Ce compte rendu sera immédiatement publié !");
define("_RTHANKS", "Merci pour votre proposition de compte rendu");
define("_MODIFICATION", "modification");
define("_ISAVAILABLE", "Votre proposition est désormais disponible dans notre base de données.");
define("_EDITORWILLLOOK", "Les éditeurs vont examiner votre compte rendu. Il sera disponible prochainement!");
define("_RBACK", "Retour à l'index");
define("_RWELCOME", "Bienvenue dans la rubrique des comptes rendus");
define("_TEN_MOSTPOP", "10 Comptes rendus les plus populaires");
define("_TEN_MOSTREC", "10 Comptes rendus les plus récents");
define("_REVTHEREARE", "Il y a");
define("_REVIEWSINDB", "compte(s) rendu(s) dans la base de données.");
define("_REVIEWSNAME", "Comptes rendus");
define("_REVIEWSLETTER", "Comptes rendus pour la lettre");
define("_NOREVIEWS", "Il n'y a pas de compte rendu pour la lettre");
define("_TOTALREVIEWS", "Compte(s) rendu(s) trouvé(s).");
define("_RETURN2MAIN", "Retour au menu principal");
define("_REVIEWCOMMENT", "Commentaire sur le compte rendu:");
define("_YOURNICK", "Votre pseudo:");
define("_RCREATEACCOUNT", "<a href=\"modules.php?name=Your_Account\">Créer</a> un compte");
define("_YOURCOMMENT", "Votre commentaire:");
define("_MYSCORE", "Mon score:");
define("_REVIEWMOD", "Modification du compte rendu");
define("_RDATE", "Date:");
define("_RTITLE", "Titre:");
define("_RTEXT", "Texte:");
define("_RLINK", "Lien:");
define("_RLINKTITLE", "Titre du lien:");
define("_COVERIMAGE", "Image de couverture");
define("_PREMODS", "Prévisualisation des modifications");
define("_REVIEWINTRO", "Ces comptes rendus ne sont pas forcéments publiés selon l'opinion du site.<br />Ces informations n'ont que simple valeur de renseignements, veuillez vous faire une opinion par vous même.");
define("_REVIEWRE", "Commentaire(s): ");
define("_REVIEWOF", "sur");
define("_REVIEWMAIL", "Envoyer le compte rendu par courriel");
define("_REVIEWNAME", "Voici le compte rendu que vous voulez envoyer par courriel:");
define("_REVIEWYOU", "Vos informations");
define("_REVIEWTO", "Envoyer à l'adresse électronique suivante (Celle-ci ne sera pas sauvegardée):");
define("_REVIEWSEND", "Envoyer");
define("_REVIEWFWD", "Envoyer à un(e) ami(e)");
define("_REVIEWFROMNEEDED", "Merci d'entrer votre nom.");
define("_REVIEWERROR", "Une erreur est apparue");
define("_REVIEWNOANO", "Enregistrez-vous en premier, les messages anonymes ne sont pas autorisés.");
define("_REVIEWMAIL1", "Bonjour,\nun de nos membres pense que vous serez\nintéressé par le compte rendu suivant:");
define("_REVIEWMAIL2", "Sujet:");
define("_REVIEWMAIL3", "Ce message vous a été envoyé par: ");
define("_REVIEWMAIL4", "Merci de votre participation,\nbonne journée.");
define("_REVIEWMAILSEP", "\n\n------------------------------------------------------------\n");
define("_REVIEWMAIL5", "Ce compte rendu provient de: ");
define("_REVIEWMAILOK", "Courriel envoyé avec succès à: ");
define("_REVIEWNORIGHTS", "Vous n'avez pas les droits d'accès pour cette action!");
define("_RBACK2", "Retour sur le compte rendu");
define("_REVSAVE", "Sauver");
define('_INLINEBREAK', 'Saut de page');
define("_AUTOACTIVATENOTIC", "Note: Ici tous les comptes rendus seront automatiquement activés.<br />Changer cette valeur si besoin dans dans le fichier config.php du module!");
define("_REVNOTFOUND", "Lien introuvable");
define("_REVADMIN", "Administration des comptes rendus");
define("_REVTITLE", "Titre de la page des comptes rendus");
define("_REVDESC", "Description de la page des comptes rendus");
define("_REVWAITING", "Comptes rendus en attente de validation");
// define("_REVIMGINFO", "Conservez votre image 150*150 dans %s");
define("_NOREVIEW2ADD", "Pas de compte rendu à ajouter");
define("_ADDREVIEW", "Ajouter un compte rendu");
define("_CLICK2ADDREVIEW", "Cliquez ici pour écrire un compte rendu");
define("_DELMODREVIEW", "Supprimer / Modifier un compte rendu");
define("_MODREVINFO", "En tant qu'administrateur, vous pouvez modifier/supprimer un compte rendu en parcourant simplement les <a href=\"modules.php?name=Reviews\">comptes rendus</a>.");
define("_WRITEREVIEW", "Ecrire un compte rendu");
// define("_TEXT", "Texte");
// define("_IMAGE", "Image");
define("_NEWREVINS", "Ecrire une critique");
define("_INVALIDCAT", "Aucune categorie n'a ete choisie");
define("_REVIEWSINCAT", "Avis dans cette categorie");
define("_NOREVIEWSINCAT", "Il n'y a pas encore d'avis dans cette categorie.");
define("_REVIEWSCATS", "Avis dans les catgories");
define("_HDATE", "Date");
define("_RCAT", "Categorie:");

?>