<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 499 $
 * $Author: PragmaMx $
 * $Date: 2022-05-11 14:15:10 +0200 (Mi, 11. Mai 2022) $
 * Based on original Pragmamx Modul Reviews modified to Better_Reviews by lenzen24
 */

/*
#Reviews

RewriteRule ^Reviews-.*-show-([0-9]+)(-.*)?\.html$ mod.php?name=Reviews&rop=showcontent&id=$1&_MORE_=$2 [L]
RewriteRule ^Reviews-.*-addcomment-([0-9]+)(-.*)?\.html$ mod.php?name=Reviews&rop=postcomment&id=$1&_MORE_=$2 [L]
RewriteRule ^Reviews-.*-send-([0-9]+)(-.*)?\.html$ mod.php?name=Reviews&rop=premail_review&id=$1&_MORE_=$2 [L]

*/

$hook = function($name, $parameter, &$replaces)
{
    if (!isset($parameter[$name])) {
        return;
    }
    global $prefix;

    $pic = array();
    $pic2 = array();
    $pic3 = array();

    foreach ($parameter[$name] as $key => $para) {
        switch (true) {
            case ((isset($para['rop']) && $para['rop'] == 'showcontent') && (isset($para['id']) && intval($para['id']))):
                $pic[0][] = $para['id'];
                $pic[$key] = $para;
                break;
            case ((isset($para['rop']) && $para['rop'] == 'postcomment') && (isset($para['id']) && intval($para['id']))):
                $pic2[0][] = $para['id'];
                $pic2[$key] = $para;
                break;
            case ((isset($para['rop']) && $para['rop'] == 'premail_review') && (isset($para['id']) && intval($para['id']))):
                $pic3[0][] = $para['id'];
                $pic3[$key] = $para;
                break;
        }
    }

    /**
     */
    if ($pic) {
        $inquery = implode(',', array_unique(array_shift($pic)));
        $qry = "SELECT id, title FROM {$prefix}_betterreviews WHERE id in ($inquery)";
        $result = sql_system_query($qry);
        $titles = array();
        while (list($lid, $title) = sql_fetch_row($result)) {
            $titles[$lid] = pmxModrewrite::title_entities($title, '-');
        }

        foreach ($pic as $key => $link) {
            if (isset($titles[$link['id']])) {
                $new_url = pmxModrewrite::title_parameters($link, 'rop', 'id');
                $new_url = $name . '-' . $titles[$link['id']] . '-show-' . $link['id'] . $new_url;
                $replaces[$key] = $link['prefix'] . $new_url . $link['suffix'];
            }
        }
    }

    /**
     */
    if ($pic2) {
        $inquery = implode(',', array_unique(array_shift($pic2)));
        $qry = "SELECT id, title FROM {$prefix}_betterreviews WHERE id in ($inquery)";
        $result = sql_system_query($qry);
        $titles = array();
        while (list($lid, $title) = sql_fetch_row($result)) {
            $titles[$lid] = pmxModrewrite::title_entities($title, '-');
        }

        foreach ($pic2 as $key => $link) {
            if (isset($titles[$link['id']])) {
                $new_url = pmxModrewrite::title_parameters($link, 'rop', 'id');
                $new_url = $name . '-' . $titles[$link['id']] . '-addcomment-' . $link['id'] . $new_url;
                $replaces[$key] = $link['prefix'] . $new_url . $link['suffix'];
            }
        }
    }
    /**
     */
    if ($pic3) {
        $inquery = implode(',', array_unique(array_shift($pic3)));
        $qry = "SELECT id, title FROM {$prefix}_betterreviews WHERE id in ($inquery)";
        $result = sql_system_query($qry);
        $titles = array();
        while (list($lid, $title) = sql_fetch_row($result)) {
            $titles[$lid] = pmxModrewrite::title_entities($title, '-');
        }

        foreach ($pic3 as $key => $link) {
            if (isset($titles[$link['id']])) {
                $new_url = pmxModrewrite::title_parameters($link, 'rop', 'id');
                $new_url = $name . '-' . $titles[$link['id']] . '-send-' . $link['id'] . $new_url;
                $replaces[$key] = $link['prefix'] . $new_url . $link['suffix'];
            }
        }
    }
}

?>