<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 499 $
 * $Author: PragmaMx $
 * $Date: 2022-05-11 14:15:10 +0200 (Mi, 11. Mai 2022) $
 * Based on original Pragmamx Modul Reviews modified to Better_Reviews by lenzen24
 */

$hook = function($module_name, $options, &$entries)
{
    global $prefix;

    switch (true) {
        case $options['type'] === 'modules':
            return $entries[$module_name] = _REVIEWS;

        case $options['type'] === 'items':

            extract($options);

            $qry = "SELECT `id`, `date`, `title`, `text`, `hits` AS views
              FROM `${prefix}_betterreviews`
              WHERE MATCH( `title`, `text`)
                AGAINST('{$search}' IN BOOLEAN MODE)
                AND active=1
              ORDER BY `date` DESC
              LIMIT 0," . intval($limit);
            $result = sql_query($qry);

            if ($result) {
                while ($entry = sql_fetch_assoc($result)) {
                    $entry['link'] = "modules.php?name=" . $module_name . "&amp;rop=showcontent&amp;id=" . $entry['id'];
                    $entry['moduletitle'] = _REVIEWS;
                    $entry['module'] = $module_name;
                    unset($entry['id']);
                    $entries[] = $entry;
                }
            }
    }
} ;

?>