<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 499 $
 * $Author: PragmaMx $
 * $Date: 2022-05-11 14:15:10 +0200 (Mi, 11. Mai 2022) $
 * Based on original Pragmamx Modul Reviews modified to Better_Reviews by lenzen24
 *
 * translation by: Wilhelm Moellering, http://www.humanmedia.dk
 */

defined('mxMainFileLoaded') or die('access denied');
define("_PREVIOUS", "forrige side");
define("_NEXT", "næste side");
define("_SORTASC", "sorter opad");
define("_SORTDESC", "sorter nedad");
define("_REPLYMAIN", "skriv en kommentar");
define("_POSTANON", "skriv anonym");
define("_WRITEREVIEWFOR", "Skriv en testbemærkning for");
define("_PRODUCTTITLE", "produktbetegnelse");
define("_NAMEPRODUCT", "Navn af testet produkt.");
define("_REVIEW", "testbemærkning");
define("_CHECKREVIEW", "Din testbemærkning. Læg vægt på læselighed.");
define("_FULLNAMEREQ", "Dit fulde navn er nødvendig.");
define("_REMAIL", "din emailadresse");
define("_REMAILREQ", "Din emailadresse er nødvendig.");
define("_SELECTSCORE", "bedømmelse af dette produkt");
define("_RELATEDLINK", "tilhørende link");
define("_PRODUCTSITE", "Officiel hjemmeside af produktet. Begynd venligst med \"http://\".");
define("_LINKTITLE", "Linkbetegnelse");
define("_LINKTITLEREQ", "er kun nødvendig ved brug af et link");
define("_RIMAGEFILE", "billedefil");
define("_RIMAGEFILEREQ", "Filnavn af et titelbillede i mappen images/reviews/. Optional.");
define("_CHECKINFO", "Kontroller venligst læselighed og rigtighed af informationen.");
define("_INVALIDTITLE", "Emne skal udfyldes.");
define("_INVALIDSCORE", "Fejl ved vurderingen... Skal være mellem 0 og 10.");
define("_INVALIDTEXT", "Testbemærkningen skal udfyldes.");
define("_INVALIDHITS", "Hints kun som positive hele tal.");
define("_CHECKNAME", "Kontroller venligst dit navn");
define("_INVALIDEMAIL", "ugyldig emailadresse");
define("_INVALIDLINK", "Udfylde enten tilhørende link OG betegnelse, eller lad begge dele tom.");
define("_REVIEWER", "tester");
define("_REVIEWID", "testberetning-ID");
define("_LOOKSRIGHT", "Er det så rigtig?");
define("_RMODIFIED", "ændret");
define("_ADMINLOGGED", "Administrator-Login ... testberetningen stilles snart til rådighed");
define("_RTHANKS", "Tak for dit testindlæg.");
define("_MODIFICATION", "ændring");
define("_ISAVAILABLE", "Testindlag er nu tilgængelig.");
define("_EDITORWILLLOOK", "Dit indlæg bliver i løbet af kort tid offentliggjort.");
define("_RBACK", "tilbage til oversigten");
define("_RWELCOME", "Velkommen til testindlægget");
define("_TEN_MOSTPOP", "top 10");
define("_TEN_MOSTREC", "de 10 nyeste testindlæg");
define("_REVTHEREARE", "der er");
define("_REVIEWSINDB", "testindlæg i databasen");
define("_REVIEWSNAME", "testindlæg");
define("_REVIEWSLETTER", "testindlæg for bogstavet");
define("_NOREVIEWS", "Der er ingen testindlæg for dette bogstave");
define("_TOTALREVIEWS", "fundet testindlæg i alt.");
define("_RETURN2MAIN", "tilbage til hovedmenu;");
define("_REVIEWCOMMENT", "kommenter testindlæg:");
define("_YOURNICK", "dit brugernavn:");
define("_RCREATEACCOUNT", "brugerkonto <a href=\"modules.php?name=User_Registration\">oprette</a>");
define("_YOURCOMMENT", "din kommentar:");
define("_MYSCORE", "din vurdering:");
define("_REVIEWMOD", "ændring af testindlægget");
define("_RDATE", "dato:");
define("_RTITLE", "titel:");
define("_RTEXT", "tekst:");
define("_RLINK", "link:");
define("_RLINKTITLE", "link-titel:");
define("_COVERIMAGE", "titelbillede");
define("_PREMODS", "Oversigt over ændringen");
define("_REVIEWINTRO", "Disse testindlæg bliver ikke offentliggjort, fordi det er teamets mening.<br />Derfor vær altid kritisk og skriv din egen mening.");
define("_REVIEWRE", "svar: ");
define("_REVIEWOF", "fra");
define("_REVIEWMAIL", "Send testindlæg per email");
define("_REVIEWNAME", "Vil du sende følgende testindlæg per email:");
define("_REVIEWYOU", "dine data");
define("_REVIEWTO", "sende til emailadressen (bliver ikke gemt):");
define("_REVIEWSEND", "sende");
define("_REVIEWFWD", "giv videre");
define("_REVIEWFROMNEEDED", "Indtast venligst dit navn.");
define("_REVIEWERROR", "Der var en fejl");
define("_REVIEWNOANO", "Log dig venligst ind først, anonyme postings er ikke tilladt.");
define("_REVIEWMAIL1", "Hej,\nen af dine venner mener, at følgende testindlæg vil interessere dig:");
define("_REVIEWMAIL2", "tema:");
define("_REVIEWMAIL3", "denne meddelelse blev sendt til dig fra: ");
define("_REVIEWMAIL4", "Tak for din indsats.");
define("_REVIEWMAILSEP", "\n\n------------------------------------------------------------\n");
define("_REVIEWMAIL5", "dette testindlæg er af: ");
define("_REVIEWMAILOK", "Email blev sendt med success til: ");
define("_REVIEWNORIGHTS", "Du har ikke berettigelse til denne aktion!");
define("_RBACK2", "tilbage til testindlægget");
define("_REVSAVE", "gem");
define('_INLINEBREAK', 'sideskift');
define("_AUTOACTIVATENOTIC", "Bemærk: på nuværende tidspunkt bliver alle reviews automatisk frigivet.<br />Ændre det i config.php af modulen!");
define("_REVNOTFOUND", "Sitet ikke fundet");
define("_REVADMIN", "Administration Testindlæg - Reviews");
define("_REVTITLE", "overskrifter for testindlæg");
define("_REVDESC", "beskrivelse af testindlæg");
define("_REVWAITING", "Testindlæg der venter på bekræftelse");
//define("_REVIMGINFO", "lægge dit billede 150*150 på /images/reviews af");
define("_NOREVIEW2ADD", "Ingen testindlæg at tilføje.");
define("_ADDREVIEW", "Tilføj testsindlæg");
define("_CLICK2ADDREVIEW", "Klik her for at oprette et testindlæg.");
define("_DELMODREVIEW", "Slette / ændre et testindlæg");
define("_MODREVINFO", "Som moderator kan du under <a href=\"modules.php?name=Reviews\">Reviews</a> testindlæg slette eller ændre.");
define("_WRITEREVIEW", "skriv en testartikel");
//define("_TEXT", "tekst");
//define("_IMAGE", "billede");
define("_NEWREVINS", "Skrive en anmeldelse");
define("_INVALIDCAT", "Ingen kategori blev valgt");
define("_REVIEWSINCAT", "Anmeldelser i denne kategori");
define("_NOREVIEWSINCAT", "Der er endnu ingen anmeldelser i denne kategori.");
define("_REVIEWSCATS", "Anmeldelser i kategorier");
define("_HDATE", "Dato");
define("_RCAT", "Kategori:");
?>