<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 499 $
 * $Author: PragmaMx $
 * $Date: 2022-05-11 14:15:10 +0200 (Mi, 11. Mai 2022) $
 * Based on original Pragmamx Modul Reviews modified to Better_Reviews by lenzen24
 *
 *
 * Base on Reviews Addon
 * Copyright (c) 2000 by Jeff Lambert (jeffx@ican.net) http://www.qchc.com
 * More scripts on http://www.jeffx.qchc.com
 */

defined('mxMainFileLoaded') or die('access denied');
define("_PREVIOUS", "Vorherige Seite");
define("_NEXT", "Nächste Seite");
define("_SORTASC", "Aufsteigend sortieren");
define("_SORTDESC", "Absteigend sortieren");
define("_REPLYMAIN", "Kommentar schreiben");
define("_POSTANON", "Anonym schreiben");
define("_WRITEREVIEWFOR", "Testbericht schreiben für");
define("_NEWREVINS", "Schreiben Sie einen Testbericht");
define("_PRODUCTTITLE", "Titel");
define("_NAMEPRODUCT", "Titel");
define("_REVIEW", "Testbericht");
define("_CHECKREVIEW", "Ihr Testbericht. Bitte auf Lesbarkeit achten.");
define("_FULLNAMEREQ", "Ihr vollständiger Name wird benötigt.");
define("_REMAIL", "Ihre Email-Adresse");
define("_REMAILREQ", "Ihre eMail-Adresse wird benötigt.");
define("_SELECTSCORE", "Bewertung");
define("_RELATEDLINK", "zugehöriger Link");
define("_PRODUCTSITE", "Offizielle Website zum Testbericht. Bitte mit \"https://\" beginnen.");
define("_LINKTITLE", "Linkbezeichnung");
define("_LINKTITLEREQ", "wird nur bei Angabe eines Links benötigt");
define("_RIMAGEFILE", "Bilddatei");
define("_RIMAGEFILEREQ", "Dateiname eines Titelbilds im Verzeichnis %s. Optional.");
define("_CHECKINFO", "Bitte die vollständige Richtigkeit und Lesbarkeit der Informationen überprüfen.");
define("_INVALIDCAT", "Es wurde keine Kategorie gewählt");
define("_INVALIDTITLE", "Betreffzeile darf nicht leer sein");
define("_INVALIDSCORE", "Fehler bei Wertungsangabe... Muss zwischen 0 und 10 sein");
define("_INVALIDTEXT", "Testbericht darf nicht leer sein");
define("_INVALIDHITS", "Hits nur als positive ganze Zahl");
define("_CHECKNAME", "Bitte Namen überprüfen");
define("_INVALIDEMAIL", "Email-Adresse fehlerhaft");
define("_INVALIDLINK", "Entweder zugehörigen Link UND die entsprechende Bezeichnung ausfüllen oder beide Felder frei lassen.");
define("_REVIEWER", "Tester");
define("_REVIEWID", "Testberichts-ID");
define("_LOOKSRIGHT", "Sieht es so korrekt aus?");
define("_RMODIFIED", "Geändert");
define("_ADMINLOGGED", "Administrator-Login ... Bereitstellung des Testberichts erfolgt umgehend");
define("_RTHANKS", "Dankeschön für die Erstellung des Testberichts");
define("_MODIFICATION", "Änderung");
define("_ISAVAILABLE", "Der Testbericht ist jetzt verfügbar.");
define("_EDITORWILLLOOK", "Ihre Einsendung wird in Kürze durch die Moderatoren freigeschaltet.");
define("_RBACK", "Zurück zur Übersicht");
define("_RWELCOME", "Testberichte");
define("_TEN_MOSTPOP", "Top 10");
define("_TEN_MOSTREC", "Die 10 neusten");
define("_REVTHEREARE", "Es gibt");
define("_REVIEWSINDB", "Testberichte in der Datenbank");
define("_REVIEWSINCAT", "Testberichte in dieser Kategorie");
define("_NOREVIEWSINCAT", "In dieser Kategorie sind noch keine Testberichte vorhanden.");
define("_REVIEWSNAME", "Better_Reviews");
define("_REVIEWSLETTER", "Testberichte für den Buchstaben");
define("_REVIEWSCATS", "Testberichte in Kategorien");
define("_NOREVIEWS", "Es gibt keinen Testbericht für den Buchstaben");
define("_TOTALREVIEWS", "Testberichte insgesamt gefunden.");
define("_RETURN2MAIN", "zurück zum Hauptmenü");
define("_REVIEWCOMMENT", "Testbericht kommentieren:");
define("_YOURNICK", "Ihr Benutzername:");
define("_RCREATEACCOUNT", "Benutzerkonto <a href=\"modules.php?name=User_Registration\">erstellen</a>");
define("_YOURCOMMENT", "Ihr Kommentar:");
define("_MYSCORE", "Meine Wertung:");
define("_REVIEWMOD", "Änderung des Testberichts");
define("_HDATE", "Datum");
define("_RDATE", "Datum:");
define("_RTITLE", "Titel:");
define("_RCAT", "Kategorie:");
define("_SELECTCAT", "Wählen Sie eine Kategorie aus:");
define("_RTEXT", "Text:");
define("_RLINK", "Link:");
define("_RLINKTITLE", "Link Titel:");
define("_COVERIMAGE", "Titelbild");
define("_PREMODS", "Voransicht der Änderungen");
define("_REVIEWINTRO", "Hinweis: Die Testberichte werden hier nach bestem Wissen und Gewissen von uns veröffentlicht.<br />Sie entsprechen unserer persönlichen Meinung und unserem eigenen Empfinden.<br />Daher bitte grundsätzlich kritisch prüfen und ggf. selbst eine Meinung bilden.");
define("_REVIEWRE", "Antwort: ");
define("_REVIEWOF", "von");
define("_REVIEWMAIL", "Testbericht per Email verschicken");
define("_REVIEWNAME", "Sie möchten folgenden Testbericht per Email versenden:");
define("_REVIEWYOU", "Ihre Daten");
define("_REVIEWTO", "Senden an die Email-Adresse (wird nicht gespeichert):");
define("_REVIEWSEND", "Senden");
define("_REVIEWFWD", "Weiterleiten");
define("_REVIEWFROMNEEDED", "Bitte tragen Sie Ihren Namen ein.");
define("_REVIEWERROR", "Es ist ein Fehler aufgetreten");
define("_REVIEWNOANO", "Bitte erst am System anmelden, anonyme Posts sind nicht erlaubt.");
define("_REVIEWMAIL1", "Guten Tag,\neiner Ihrer Bekannten dachte, daß Sie dieser Testbericht\ninsteressieren könnte:");
define("_REVIEWMAIL2", "Thema:");
define("_REVIEWMAIL3", "Diese Nachricht wurde Ihnen geschickt von: ");
define("_REVIEWMAIL4", "Wir bedanken uns für Ihre Zeit und wünschen weiterhin\neinen angenehmen Tag.");
define("_REVIEWMAILSEP", "\n\n------------------------------------------------------------\n");
define("_REVIEWMAIL5", "Dieser Testbericht stammt von: ");
define("_REVIEWMAILOK", "Email erfolgreich gesendet an: ");
define("_REVIEWNORIGHTS", "Sie haben keine Berechtigung für diese Aktion!");
define("_RBACK2", "Zurück zum Testbericht");
define("_REVSAVE", "Speichern");
define('_INLINEBREAK', 'Seitenumbruch');
define("_AUTOACTIVATENOTIC", "Hinweis: z.Zt. werden alle Reviews automatisch freigeschaltet.<br />Ändern Sie das ggf. bitte in der config.php vom Modul!");
define("_REVNOTFOUND", "Seite nicht gefunden");
define("_REVADMIN", "Administration Better-Reviews");
define("_REVTITLE", "Überschrift für den Testbericht");
define("_REVDESC", "Beschreibung des Testberichts");
define("_REVWAITING", "Testbericht auf Bestätigung wartend");
define("_NOREVIEW2ADD", "keinen Testbericht zum hinzufügen");
define("_ADDREVIEW", "Testbericht hinzufügen");
define("_CLICK2ADDREVIEW", "Hier anklicken, um einen Testbericht zu erstellen");
define("_DELMODREVIEW", "Löschen / verändern Sie einen Testbericht");
define("_MODREVINFO", "Als Administrator können Sie unter <a href=\"modules.php?name=Better_Reviews\">Better-Reviews</a> Testberichte verändern oder löschen .");
define("_WRITEREVIEW", "Testbericht schreiben");
// define("_TEXT", "Text");
// define("_IMAGE", "Bild");

?>